using Datory.Annotations;

namespace GxPress.Entity.Visit
{
    /// <summary>
    /// 访问列表
    /// </summary>
    [DataTable("tede_visit")]
    public class Visit : Datory.Entity
    {
        /// <summary>
        /// 用户
        /// </summary>
        [DataColumn]
        public int UserId { get; set; }
        /// <summary>
        /// 类型ID 类型1文章 2话题 3 收藏 4笔记 5通知 6站内信 7小组 8 会议详情
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int TypeId { get; set; }
        /// <summary>
        /// 来源ID
        /// </summary>
        /// <value></value>
        [DataColumn]
        public int SourceId { get; set; }
    }
}