using System;
using System.Collections.Generic;
using System.Text;

namespace GxPress.Request.App.Note
{
    /// <summary>
    /// 笔记添加
    /// </summary>
    public class NoteInRequest
    {
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }
        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }
        /// <summary>
        /// Html内容
        /// </summary>
        public string HtmlContent { get; set; }
        /// <summary>
        /// 用户
        /// </summary>
        public int UserId { get; set; }
        /// <summary>
        /// 文件夹ID
        /// </summary>
        public int FolderId { get; set; }
        /// <summary>
        /// 是否话题
        /// </summary>
        /// <value></value>
        public bool IsTopic{get;set;}
    }
}
