namespace GxPress.Request.Comment
{
    /// <summary>
    /// 文章评论
    /// </summary>
    public class CommentInRequest
    {
        /// <summary>
        /// 文章ID
        /// </summary>
        public int ArticleId { get; set; }

        /// <summary>
        /// 用户ID
        /// </summary>
        public int UserId { get; set; }

        /// <summary>
        /// 内容
        /// </summary>
        public string Content { get; set; }

        /// <summary>
        /// 父级ID
        /// </summary>
        public int Pid { get; set; }

        /// <summary>
        /// 状态 10 会议纪要 0 文章 1 话题 2 通知 3 笔记 
        /// </summary>
        /// <value></value>
        public int TypeValue{get;set;}

    }
}
