using System;
using System.Collections.Generic;

namespace GxPress.Result.Admin
{
    /// <summary>
    /// 管理员登录
    /// </summary>
    public class AdminSignInResult
    {
        /// <summary>
        /// 管理员id
        /// </summary>
        public int AdminId { get; set; }

        /// <summary>
        /// token
        /// </summary>
        public TokenResult Token { get; set; }
        /// <summary>
        /// 返回的管理的菜单集合
        /// </summary>
        public List<string> Menus { get; set; }

        /// <summary>
        /// 用户名
        /// </summary>
        public string Name { get; set; }
    }
}