using System;
using System.Collections.Generic;
using System.Text;
using GxPress.Entity;
using GxPress.EnumConst;
using GxPress.Result.App.GroupUser;

namespace GxPress.Result.App.Group
{
    /// <summary>
    /// 小组详情
    /// </summary>
   public class GroupDetailResult
    {
        /// <summary>
        /// 小组ID
        /// </summary>
        public int Id { get; set; }

        /// <summary>
        /// 小组名称
        /// </summary>
       
        public string Name { get; set; }

        /// <summary>
        /// 小组创始人
        /// </summary>

        public int UserId { get; set; }

        /// <summary>
        /// 二维码
        /// </summary>
      
        public string QRCoder { get; set; }

        /// <summary>
        /// 头像
        /// </summary>
   
        public string AvatarUrl { get; set; }

        /// <summary>
        /// 介绍
        /// </summary>
     
        public string Introduce { get; set; }

        /// <summary>
        ///是否管理用同意
        /// </summary>
   
        public bool IsAdmin { get; set; }

        /// <summary>
        /// 是否禁言
        /// </summary>
    
        public bool IsWords { get; set; }

        /// <summary>
        /// 是否免打扰
        /// </summary>
    
        public bool IsUDisturb { get; set; }

        /// <summary>
        /// 小组文件夹ID
        /// </summary>
     
        public int GroupFolderId { get; set; }

        /// <summary>
        /// 创始人姓名
        /// </summary>
        public string UserName { get; set; }

        /// <summary>
        /// 成员数据
        /// </summary>
        public IEnumerable<GroupUserListResult> GroupUserListResult { get; set; }
        /// <summary>
        /// 权限1 超级管理员 2 管理员 3普通用户
        /// </summary>
        public GroupUserRoleTyeConst GroupUserRoleId { get; set; }

        /// <summary>
        /// 小组成员数量
        /// </summary>
        public int GroupUserNumber { get; set; }
        /// <summary>
        /// 小组话题数量
        /// </summary>
        public int GroupTopicNumber { get; set; }

        /// <summary>
        /// 是否是群成员
        /// </summary>
        public bool IsUser { get; set; }
    }

}
