using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 文章分组
    /// </summary>
    [DataTable("tede_article_group")]
    public class ArticleGroup : Datory.Entity
    {
        /// <summary>
        /// 名称
        /// </summary>
        [DataColumn] 
        public string Name { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn] 
        public int Sort { get; set; }
    }
}