using Datory;
using Datory.Annotations;

namespace GxPress.Entity
{
    /// <summary>
    /// 轮播定义
    /// </summary>
    [DataTable("tede_slide")]
    public class Slide : Datory.Entity
    {
        /// <summary>
        /// 标题
        /// </summary>
        [DataColumn] 
        public string Title { get; set; }

        /// <summary>
        /// 标题图片
        /// </summary>
        [DataColumn] 
        public string ImageUrl { get; set; }

        /// <summary>
        /// 文章Id
        /// </summary>
        [DataColumn] 
        public int ArticleId { get; set; }

        /// <summary>
        /// 文章标题
        /// </summary>
        [DataColumn]
        public string ArticleTitle { get; set; }

        /// <summary>
        /// 排序
        /// </summary>
        [DataColumn]
        public int Sort { get; set; }
    }
}